<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Infiltration](./bitburner.infiltration.md) &gt; [getInfiltration](./bitburner.infiltration.getinfiltration.md)

## Infiltration.getInfiltration() method

Get all infiltrations with difficulty, location and rewards.

**Signature:**

```typescript
getInfiltration(location: LocationName): InfiltrationLocation;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

location


</td><td>

[LocationName](./bitburner.locationname.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[InfiltrationLocation](./bitburner.infiltrationlocation.md)

Infiltration data for given location.

## Remarks

RAM cost: 15 GB

